Bug 736663 - F15: NV98 nouveau: fail ttm_validate / Failed to find memory space for buffer eviction
Summary: F15: NV98 nouveau: fail ttm_validate / Failed to find memory space for buffer...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 11:35 UTC by moabi2000
Modified: 2018-04-11 09:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:43 UTC


Attachments (Terms of Use)
relevant part of /var/log/messages (18.86 KB, text/plain)
2011-09-08 11:35 UTC, moabi2000
no flags Details

Description moabi2000 2011-09-08 11:35:39 UTC
Created attachment 522096 [details]
relevant part of /var/log/messages

Description of problem:

Every now and then X locks up, often when using the 'present windows/exposé' effect under gnome-shell. There are repeated messages in /var/log/messages about "failed to find memory space for buffer eviction" (see attached log). Can get console access, but in the end a hard reset is required.

Hardware is NV98.




Version-Release number of selected component (if applicable):
kernel 2.6.40.4-5.fc15.x86_64
xorg-x11-drv-nouveau.x86_64         1:0.0.16-24.20110324git8378443.fc15
libdrm.x86_64                       2.4.26-1.fc15  

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2011-09-08 14:11:51 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log), and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Fedora End Of Life 2012-08-07 15:37:48 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.